%define url_ver %(echo %{version} | cut -d. -f1,2)

Summary: 	A mpc plugin for the Xfce panel
Name: 		xfce4-mpc-plugin
Version: 	0.4.4
Release: 	%mkrel 2
License:	GPLv2+
Group: 		Graphical desktop/Xfce
URL:		http://goodies.xfce.org/projects/panel-plugins/xfce4-mpc-plugin
Source0: 	http://archive.xfce.org/src/panel-plugins/xfce4-mpc-plugin/%{url_ver}/%{name}-%{version}.tar.bz2
BuildRequires:	intltool
BuildRequires:	pkgconfig(libxfce4panel-1.0)
BuildRequires:	pkgconfig(libxfce4ui-1)
BuildRequires:	pkgconfig(exo-1)
BuildRequires:	pkgconfig(libmpd)
Requires:	xfce4-panel
Requires:	mpd

%description
This is a simple Xfce panel client plugin for Music Player Daemon.

Features :
* send Play/Stop/Next/Previous command to MPD
* uses gtk-theme media icons (at least nuvola, tango and rodent themes provides
  these icons)
* decrease/increase volume using the mouse wheel
* show the current volume, status and title as a tooltip when passing the mouse
  over the plugin
* show a simple playlist window upon middle-click, permitting to select a track
  to play
* configurable MPD host/port/password
* toggles repeat/random features in the right-click menu
* launch configurable client (gmpc, xterm -e ncmpc,..) through right-click menu

%prep
%setup -q

%build
%configure2_5x --disable-static
%make

%install
%makeinstall_std 

#we don't want these
find %{buildroot} -name "*.la" -delete

%find_lang %{name}

%files -f %{name}.lang
%doc ChangeLog AUTHORS README
%{_libdir}/xfce4/panel/plugins/libmpc.so
%{_datadir}/xfce4/panel/plugins/xfce4-mpc-plugin.desktop


%changelog

* Mon Jan 14 2013 umeabot <umeabot> 0.4.4-2.mga3
+ Revision: 386846
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jun 30 2012 wally <wally> 0.4.4-1.mga3
+ Revision: 265387
- new version 0.4.4

* Mon May 28 2012 wally <wally> 0.4.3-1.mga3
+ Revision: 248546
- new version 0.4.3
- BR libmpd
- clean .spec

* Mon Feb 20 2012 wally <wally> 0.4.2-1.mga2
+ Revision: 211240
- disable static build
- new version 0.4.2

* Sun Feb 19 2012 wally <wally> 0.4.1-1.mga2
+ Revision: 210835
- new version 0.4.1
- clean .spec
- imported package xfce4-mpc-plugin

